### Method

# Pango Layout get_cursor_pos

#### Declaration [src]

    void
    pango_layout_get_cursor_pos (
      PangoLayout* layout,
      int index_,
      PangoRectangle* strong_pos,
      PangoRectangle* weak_pos
    )

#### Description [src]

Given an index within a layout, determines the positions that of the strong and weak cursors if the insertion point is at that index.

The position of each cursor is stored as a zero-width rectangle with the height of the run extents.

The strong cursor location is the location where characters of the directionality equal to the base direction of the layout are inserted. The weak cursor location is the location where characters of the directionality opposite to the base direction of the layout are inserted.

The following example shows text with both a strong and a weak cursor.

The strong cursor has a little arrow pointing to the right, the weak cursor to the left. Typing a ‘c’ in this situation will insert the character after the ‘b’, and typing another Hebrew character, like ‘ג’, will insert it at the end.

#### Parameters

`index_`

  Type: `int`

  The byte index of the cursor.

`strong_pos`

  Type: `PangoRectangle`

  Location to store the strong cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`weak_pos`

  Type: `PangoRectangle`

  Location to store the weak cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.